SsoUrlRequest
SsoUrlRequest
Defined in: @rw3iss/auth-shared/src/dto/auth.ts
POST /auth/sso/url request body.
Properties
code_challenge?
optionalcode_challenge?:string
Defined in: @rw3iss/auth-shared/src/dto/auth.ts
PKCE (RFC 7636). code_challenge is BASE64URL(SHA256(verifier))
when code_challenge_method is “S256” — the only method server-side
accepts. Both fields are required-together or absent-together.
code_challenge_method?
optionalcode_challenge_method?:"S256"
Defined in: @rw3iss/auth-shared/src/dto/auth.ts
invite_code?
optionalinvite_code?:string
Defined in: @rw3iss/auth-shared/src/dto/auth.ts
organization_id?
optionalorganization_id?:string
Defined in: @rw3iss/auth-shared/src/dto/auth.ts
provider
provider:
string
Defined in: @rw3iss/auth-shared/src/dto/auth.ts
redirect_url
redirect_url:
string
Defined in: @rw3iss/auth-shared/src/dto/auth.ts